# Draw
TKDraw
Draw

# Draw_Marker3D Class Reference

`#include <Draw_Marker3D.hxx>`

Inheritance diagram for Draw_Marker3D:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Marker3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &C, const Standard_Integer ISize=5)
Standard_EXPORT | Draw_Marker3D (const gp_Pnt &P, const Draw_MarkerShape T, const Draw_Color &C, const Standard_Real RSize)
Standard_EXPORT gp_Pnt & | ChangePos ()
| myPos field
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs always false .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myPos
Draw_Color | myCol
Draw_MarkerShape | myTyp
Standard_Integer | mySiz
Standard_Real | myRSiz
Standard_Boolean | myIsRSiz

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Marker3D::Draw_Marker3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | C,
|  | const Standard_Integer | ISize = `5`
| ) |

Standard_EXPORT Draw_Marker3D::Draw_Marker3D | ( | const gp_Pnt & | P,
|  | const Draw_MarkerShape | T,
|  | const Draw_Color & | C,
|  | const Standard_Real | RSize
| ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt& Draw_Marker3D::ChangePos | ( |  | ) |

Standard_EXPORT void Draw_Marker3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D. Reimplemented in TestTopOpeDraw_DrawableP3D.

Standard_EXPORT const Draw_Marker3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D. Reimplemented in TestTopOpeDraw_DrawableP3D.

virtual Standard_EXPORT Standard_Boolean Draw_Marker3D::PickReject | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Prec
| ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Draw_Color Draw_Marker3D::myCol `[private]`

Standard_Boolean Draw_Marker3D::myIsRSiz `[private]`

gp_Pnt Draw_Marker3D::myPos `[private]`

Standard_Real Draw_Marker3D::myRSiz `[private]`

Standard_Integer Draw_Marker3D::mySiz `[private]`

Draw_MarkerShape Draw_Marker3D::myTyp `[private]`

The documentation for this class was generated from the following file:

- Draw_Marker3D.hxx